- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# virtual_types< Structure< S > > Struct Template Reference
[Fundamental C++: the Element design pattern.]

Specialization of `virtual_types` for `Structure`. More...

Inheritance diagram for virtual_types< Structure< S > >:

[legend]

## Detailed Description

### template<typename S>
struct vcsn::virtual_types< Structure< S > >

Specialization of `virtual_types` for `Structure`.

Definition at line 138 of file structure.hh.